[Buildroot] [PATCH 1/1] package/mpd: Fix autobuilder failure 4924194292a428a295ded2f7aa0b9a3f81ed1b4a

Jörg Krause jkrause at posteo.de
Tue Aug 26 09:26:28 UTC 2014


The opus decoder plugin depends on libopus and libogg.

Signed-off-by: Jörg Krause <jkrause at posteo.de>
---
 package/mpd/Config.in | 1 +
 package/mpd/mpd.mk    | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/package/mpd/Config.in b/package/mpd/Config.in
index b8a56b7..108b2b1 100644
--- a/package/mpd/Config.in
+++ b/package/mpd/Config.in
@@ -145,6 +145,7 @@ config BR2_PACKAGE_MPD_MUSEPACK
 config BR2_PACKAGE_MPD_OPUS
 	bool "opus"
 	select BR2_PACKAGE_OPUS
+	select BR2_PACKAGE_LIBOGG
 	help
 	  Enable opus input support.
 	  Select this if you want to play back OPUS encoded files.
diff --git a/package/mpd/mpd.mk b/package/mpd/mpd.mk
index df94035..f84c6d0 100644
--- a/package/mpd/mpd.mk
+++ b/package/mpd/mpd.mk
@@ -97,7 +97,7 @@ MPD_CONF_OPT += --disable-sndfile
 endif
 
 ifeq ($(BR2_PACKAGE_MPD_OPUS),y)
-MPD_DEPENDENCIES += opus
+MPD_DEPENDENCIES += opus libogg
 MPD_CONF_OPT += --enable-opus
 else
 MPD_CONF_OPT += --disable-opus
-- 
2.1.0



More information about the buildroot mailing list